Subject: Re: [urn] Comments on draft-ietf-urnbis-rfc2141bis-urn-10

From: "Leslie Daigle (ThinkingCat)" <[email-masked]>
Date: Fri, 17 Apr 2015 12:01:11 -0400

Coming back to this -- I do think that resolves a major issue in the 
document.  Re-reading the March 31 document this morning, it struck me 
that it doesn't define what an NSS is.

There is verbiage about what an NSS is not. [1]  In the example 
discussed, the NSS is "".

In RFC2141, the NSS *is* the identifier.  It must be unique and
persistent in its identification of a resource.   Which is a bit
ridiculous for "".  If the document was updated as proposed here, I 
would think it would be appropriate to have guidance about 
"assigned-name" being the identifier alluded to in:

 > A URN namespace is a collection of identifiers that obey three
 > constraints.  Such a namespace is (1) unique, (2) assigned in a
 > consistent way, and (3) assigned according to a common definition.

Largely, my personal opinion is that it's a mess to allow both NSS-only 
and NSS+p-component namespaces, but more on that in the next note.

Leslie.
[1] In fact, the document as a whole seems to be written as a set of 
contrasts from the documents it obsoletes; is it kosher to have 
normative dependencies on the documents you're obsoleting?

On 3/30/15 3:22 PM, John C Klensin wrote:
>
>
> --On Monday, March 30, 2015 16:43 +0000 "Svensson, Lars"
> <[email-masked]> wrote:
>
>>> However, perhaps the term "assigned-urn" is confusing so I
>>> will see if I can find a better term.
>>
>> Yes I see. Even if I realise that it syntactically makes no
>> difference, it seems more natural to me to say that urn
>> equivalence is determined by comparing the assigned-name part
>> of the urn. If it's not part of the name, it should not be
>> relevant for equality. Thus my proposal would be
>>
>> namestring = assigned-name [q-component] [f-component]
>> assigned-name = "urn:" NID ":" NSS [p-component]
>
> This works for me.  Since Peter has passed the pen back to me
> after doing most of the work on -11, I'll slip it into the draft
> until someone objects very soon.
>
>      john
>
>
>
>
> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn
>

-- 

-------------------------------------------------------------------
Leslie Daigle
Principal, ThinkingCat Enterprises
[email-masked]
-------------------------------------------------------------------